import navpoint.local_server
import navpoint.phone_server
import navpoint.usb
import navpoint.gui


def run():
    mode = navpoint.gui.choose_mode()
    if mode == "mobile":
        navpoint.local_server.run()
        link = navpoint.phone_server.run()
        navpoint.gui.show_qr(link)
    elif mode == "usb":
        navpoint.local_server.run()
        navpoint.usb.run_ui()
